    import {Dropdown} from 'tablefilter/src/modules/dropdown.js'

public class | source

# Dropdown

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Dropdown UI component |

## Member Summary

Public Members
public | activateSlcTooltip : * |
public | enableSlcResetFilter : * |
public | isCustom : * |
public | multipleSlcTooltip : * |
public | nonEmptyText : * |
public | opts : * |
public | optsTxt : * |
public | slcFillingMethod : * |
public | slcInnerHtml : * |
public | tf : * |

## Method Summary

Public Methods
public | addFirstOption (slc: Object): * Add drop-down header option |
public | addOptions (colIndex: Number, slc: Object, isLinked: Boolean, excludedOpts: Array, fltsValues: Array, fltArr: Array) Add drop-down options |
public | build (colIndex: Number, isLinked: Boolean, isExternal: Boolean, extSlcId: String) Build drop-down filter UI asynchronously |

## Public Constructors

### public constructor(tf: Object) source

Dropdown UI component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public activateSlcTooltip: * source

### public enableSlcResetFilter: * source

### public isCustom: * source

### public multipleSlcTooltip: * source

### public nonEmptyText: * source

### public opts: * source

### public optsTxt: * source

### public slcFillingMethod: * source

### public slcInnerHtml: * source

### public tf: * source

## Public Methods

### public addFirstOption(slc: Object): * source

Add drop-down header option

#### Params:

Name | Type | Attribute | Description
slc | Object |  | Select DOM element

#### Return:

*

### public addOptions(colIndex: Number, slc: Object, isLinked: Boolean, excludedOpts: Array, fltsValues: Array, fltArr: Array) source

Add drop-down options

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
slc | Object |  | Select Dom element
isLinked | Boolean |  | Enable linked refresh behaviour
excludedOpts | Array |  | Array of excluded options
fltsValues | Array |  | Collection of persisted filter values
fltArr | Array |  | Collection of persisted filter values

### public build(colIndex: Number, isLinked: Boolean, isExternal: Boolean, extSlcId: String) source

Build drop-down filter UI asynchronously

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index
isLinked | Boolean |  | Enable linked refresh behaviour
isExternal | Boolean |  | Render in external container
extSlcId | String |  | External container id